package m05bVehiculosEJB;

import java.rmi.RemoteException;

import javax.ejb.EJBObject;

import m05bBD.m05bVehiculos;

/**
 * This is the Remote Interface for the Entity EJB <tt>M05VehiculosEB</tt>.
 *
 * @see     m05.exe.Vehiculos
 * @see     m05.exe.M05VehiculosEBHome
 * @see     m05.exe.M05VehiculosEBPK
 * @see     m05.exe.M05VehiculosEBBean
 */

public interface m05Vehiculos extends EJBObject{


  public String getVeh_matricula()throws RemoteException;
  public void setVeh_matricula(String n)throws RemoteException;

  public String getVeh_marca()throws RemoteException;
  public void setVeh_marca(String n)throws RemoteException;

  public String getVeh_rango()throws RemoteException;
  public void setVeh_rango(String n)throws RemoteException;

  public String getVeh_color()throws RemoteException;
  public void setVeh_color(String n)throws RemoteException;

  public String getVeh_fmatric()throws RemoteException;
  public void setVeh_fmatric(String n)throws RemoteException;

  public String getVeh_vcontab()throws RemoteException;
  public void setVeh_vcontab(String n)throws RemoteException;

  public String getVeh_vidautil()throws RemoteException;
  public void setVeh_vidautil(String n)throws RemoteException;

  public String getVeh_impbaja()throws RemoteException;
  public void setVeh_impbaja(String n)throws RemoteException;

    public String getVeh_desdpto()throws RemoteException;
  public void setVeh_desdpto(String n)throws RemoteException;

  public String getVeh_motbaja()throws RemoteException;
  public void setVeh_motbaja(String n)throws RemoteException;

  public String getVeh_mesrevis()throws RemoteException;
  public void setVeh_mesrevis(String n)throws RemoteException;

  public String getVeh_aparcado()throws RemoteException;
  public void setVeh_aparcado(String n)throws RemoteException;

  public String getVeh_observ()throws RemoteException;
  public void setVeh_observ(String n)throws RemoteException;

  public String getVeh_kmact()throws RemoteException;
  public void setVeh_kmact(String n)throws RemoteException;

  public String getVeh_fkmact()throws RemoteException;
  public void setVeh_fkmact(String n)throws RemoteException;

  public String getVeh_fgarantia()throws RemoteException;
  public void setVeh_fgarantia(String n)throws RemoteException;

  public String getVeh_expte()throws RemoteException;
  public void setVeh_expte(String n)throws RemoteException;

  public String getVeh_nserie()throws RemoteException;
  public void setVeh_nserie(String n)throws RemoteException;

  public String getVeh_poliza()throws RemoteException;
  public void setVeh_poliza(String n)throws RemoteException;

  public String getVeh_fbaja()throws RemoteException;
  public void setVeh_fbaja(String n)throws RemoteException;

  public String getVeh_precio()throws RemoteException;
  public void setVeh_precio(String n)throws RemoteException;

  public String getVeh_amoanual()throws RemoteException;
  public void setVeh_amoanual(String n)throws RemoteException;

  public String getVeh_situacion()throws RemoteException;
  public void setVeh_situacion(String n)throws RemoteException;

  public String getVeh_fadquis()throws RemoteException;
  public void setVeh_fadquis(String n)throws RemoteException;

  public String getVeh_destino()throws RemoteException;
  public void setVeh_destino(String n)throws RemoteException;

  public String getVeh_autaparc()throws RemoteException;
  public void setVeh_autaparc(String n)throws RemoteException;

  public String getVeh_iadic1()throws RemoteException;
  public void setVeh_iadic1(String n)throws RemoteException;

  public String getVeh_modelo()throws RemoteException;
  public void setVeh_modelo(String n)throws RemoteException;

  public String getVeh_coddpto()throws RemoteException;
  public void setVeh_coddpto(String n)throws RemoteException;

  public String getVeh_amoacum()throws RemoteException;
  public void setVeh_amoacum(String n)throws RemoteException;

  public String getVeh_regadq()throws RemoteException;
  public void setVeh_regadq(String n)throws RemoteException;

  public String getVeh_kmrevis()throws RemoteException;
  public void setVeh_kmrevis(String n)throws RemoteException;

  public String getVeh_rotul()throws RemoteException;
  public void setVeh_rotul(String n)throws RemoteException;

  public String getVeh_iadic2()throws RemoteException;
  public void setVeh_iadic2(String n)throws RemoteException;

  public String getVeh_matricant()throws RemoteException;
  public void setVeh_matricant(String n)throws RemoteException;

  public String getVeh_cvfisc()throws RemoteException;
  public void setVeh_cvfisc(String n)throws RemoteException;

  public String getVeh_cvreal()throws RemoteException;
  public void setVeh_cvreal(String n)throws RemoteException;

  public String getVeh_fbajatemp()throws RemoteException;
  public void setVeh_fbajatemp(String n)throws RemoteException;
  
  public String getVeh_fcedido()throws RemoteException;
  public void setVeh_fcedido(String n)throws RemoteException;
   /**
   * Returns the Asignacion information of this E-EJB.
   */
  public m05bVehiculos getVehiculos()
    throws RemoteException;

}
